Chat-id routes
List document share links
List public share links for a Deep Reader chat.
GET
/
api
/
v2
/
documents
/
{id}
/
share-links
/
List share links
curl --request GET \
--url https://api.example.com/api/v2/documents/{id}/share-links/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v2/documents/{id}/share-links/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v2/documents/{id}/share-links/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"id": 123,
"token": "<string>",
"url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"access_count": 1073741823,
"revoked": true,
"expires_at": "2023-11-07T05:31:56Z",
"include_chat_history": true
}
]Public
/s/<token>/ links for a Deep Reader chat. Listing is how you find an id to revoke. Issue is a separate POST.Authorizations
extractApiKeybearerAuthcookieAuth
⌘I
List share links
curl --request GET \
--url https://api.example.com/api/v2/documents/{id}/share-links/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v2/documents/{id}/share-links/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v2/documents/{id}/share-links/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"id": 123,
"token": "<string>",
"url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"access_count": 1073741823,
"revoked": true,
"expires_at": "2023-11-07T05:31:56Z",
"include_chat_history": true
}
]
